
USE master
GO

-- Create the SQL Server Audit object, 
-- and send the results to the Security event log. 
-- Audit and User Rights Need for this one
CREATE SERVER AUDIT Test_SQL_Database_Audit
    TO SECURITY_LOG
    /* The Queue Delay is set to 1000, meaning one second 
         intervals to write to the target. */
    WITH ( QUEUE_DELAY = 1000,  ON_FAILURE = CONTINUE);
GO

USE AdventureWorks
GO

-- create specification in database
CREATE DATABASE AUDIT SPECIFICATION Test_Database_Audit_Specification
FOR SERVER AUDIT Test_SQL_Database_Audit
    ADD (INSERT, UPDATE, DELETE ON HumanResources.Employee BY dbo),
    ADD (INSERT, UPDATE, DELETE ON HumanResources.EmployeePayHistory BY dbo)
    WITH (STATE = ON);
GO

-- must be in master to alter audit
USE master
GO

-- Enable the audit. 
ALTER SERVER AUDIT Test_SQL_Database_Audit
WITH (STATE = ON);
GO

-- Dan, the DBA, gives himself more vacation
USE AdventureWorks
GO

UPDATE HumanResources.Employee 
SET VacationHours = 70
WHERE EmployeeID = 128
GO

--cleanup
USE AdventureWorks
GO
ALTER DATABASE AUDIT SPECIFICATION Test_Database_Audit_Specification WITH (STATE = OFF);
DROP DATABASE AUDIT SPECIFICATION Test_Database_Audit_Specification

USE master
GO
ALTER SERVER AUDIT Test_SQL_Database_Audit WITH (STATE = OFF);
DROP SERVER AUDIT Test_SQL_Database_Audit



