
USE master
GO

-- Create the SQL Server Audit object, 
-- and send the results to the c:\temp directory
CREATE SERVER AUDIT Test_Audit_Group
    TO FILE (FILEPATH = 'c:\temp')
    /* The Queue Delay is set to 1000, meaning one second 
         intervals to write to the target. */
    WITH ( QUEUE_DELAY = 1000,  ON_FAILURE = CONTINUE);
GO

-- create specification in database
CREATE SERVER AUDIT SPECIFICATION Test_Audit_Group_Specification
FOR SERVER AUDIT Test_Audit_Group
    ADD (DBCC_GROUP)
    WITH (STATE = ON);
GO

-- must be in master to alter audit
USE master
GO

-- Enable the audit. 
ALTER SERVER AUDIT Test_Audit_Group
WITH (STATE = ON);
GO

-- Do DBCC Command
DBCC FREEPROCCACHE
GO

--cleanup
USE master
GO
ALTER SERVER AUDIT SPECIFICATION Test_Audit_Group_Specification WITH (STATE = OFF);
DROP SERVER AUDIT SPECIFICATION Test_Audit_Group_Specification

ALTER SERVER AUDIT Test_Audit_Group WITH (STATE = OFF);
DROP SERVER AUDIT Test_Audit_Group



